Summary: a simple generic namespace support class
Name: perl-XML-NamespaceSupport
Version: 1.08
Release: 1
License: distributable
Group: Applications/CPAN
URL: http://www.cpan.org
Source0: XML-NamespaceSupport-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildArch: noarch
Provides: %{name}
BuildRequires: perl 
Requires: perl 

%description
This module offers a simple to process namespaced XML names (unames) 
from within any application that may need them. It also helps maintain a 
prefix to namespace URI map, and provides a number of basic checks.

%prep
%setup -q -n XML-NamespaceSupport-%{version}


%build
CFLAGS="$RPM_OPT_FLAGS" perl Makefile.PL PREFIX=$RPM_BUILD_ROOT/usr INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
make install

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress

find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec rm -v {} \;

find $RPM_BUILD_ROOT/usr -type f -print |
        sed "s@^$RPM_BUILD_ROOT@@g" |
        grep -v perllocal.pod |
        grep -v "\.packlist" > XML-NamespaceSupport-%{version}-filelist
if [ "$(cat XML-NamespaceSupport-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f XML-NamespaceSupport-%{version}-filelist
%defattr(-,root,root,-)

%changelog
* Mon Feb 23 2004  <yasuma@miraclelinux.com> 1.08-1
- Initial build.


